# AnalysisServices

> see https://aka.ms/autorest

This is the AutoRest configuration file for AnalysisServices.



---
## Getting Started
To build the SDK for AnalysisServices, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the AnalysisServices API.

``` yaml
openapi-type: arm
tag: package-2017-08
```


### Tag: package-2017-08

These settings apply only when `--tag=package-2017-08` is specified on the command line.

``` yaml $(tag) == 'package-2017-08'
input-file:
- Microsoft.AnalysisServices/stable/2017-08-01/analysisservices.json
```

### Tag: package-2017-08-beta

These settings apply only when `--tag=package-2017-08-beta` is specified on the command line.

``` yaml $(tag) == 'package-2017-08-beta'
input-file:
- Microsoft.AnalysisServices/preview/2017-08-01-beta/analysisservices.json
```

### Tag: package-2017-07

These settings apply only when `--tag=package-2017-07` is specified on the command line.

``` yaml $(tag) == 'package-2017-07'
input-file:
- Microsoft.AnalysisServices/stable/2017-07-14/analysisservices.json
```

### Tag: package-2016-05

These settings apply only when `--tag=package-2016-05` is specified on the command line.

``` yaml $(tag) == 'package-2016-05'
input-file:
- Microsoft.AnalysisServices/stable/2016-05-16/analysisservices.json
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_analysis_services']
```


## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.Analysis
  output-folder: $(csharp-sdks-folder)/AnalysisServices/Management.Analysis/Generated
  clear-output-folder: true
```


## Go

These settings apply only when `--go` is specified on the command line.

``` yaml $(go)
go:
  license-header: MICROSOFT_APACHE_NO_VERSION
  namespace: analysisservices
  clear-output-folder: true
```

### Go multi-api

``` yaml $(go) && $(multiapi)
batch:
  - tag: package-2017-08
  - tag: package-2017-08-beta
  - tag: package-2017-07
  - tag: package-2016-05
```

### Tag: package-2017-08 and go

These settings apply only when `--tag=package-2017-08 --go` is specifined on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2017-08' && $(go)
output-folder: $(go-sdk-folder)/services/analysisservices/mgmt/2017-08-01/analysisservices
```

### Tag: package-2017-08-beta and go

These settings apply only when `--tag=package-2017-08-beta --go` is specifined on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2017-08-beta' && $(go)
output-folder: $(go-sdk-folder)/services/preview/analysisservices/preview/mgmt/2017-08-01-beta/analysisservices
```

### Tag: package-2017-07 and go

These settings apply only when `--tag=package-2017-07 --go` is specified on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2017-07' && $(go)
output-folder: $(go-sdk-folder)/services/analysisservices/mgmt/2017-07-14/analysisservices
```

### Tag: package-2016-05 and go

These settings apply only when `--tag=package-2016-05 --go` is specified on the command line.
Please also specify `--go-sdk-folder=<path to the root directory of your azure-sdk-for-go clone>`.

``` yaml $(tag) == 'package-2016-05' && $(go)
output-folder: $(go-sdk-folder)/services/analysisservices/mgmt/2016-05-16/analysisservices
```


## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.analysisservices
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-analysisservices
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2016-05
  - tag: package-2017-07
  - tag: package-2017-08
  - tag: package-2017-08-beta
```

### Tag: package-2016-05 and java

These settings apply only when `--tag=package-2016-05 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2016-05' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.analysisservices.v2016_05_16
  output-folder: $(azure-libraries-for-java-folder)/analysisservices/resource-manager/v2016_05_16
regenerate-manager: true
generate-interface: true
```

### Tag: package-2017-07 and java

These settings apply only when `--tag=package-2017-07 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-07' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.analysisservices.v2017_07_14
  output-folder: $(azure-libraries-for-java-folder)/analysisservices/resource-manager/v2017_07_14
regenerate-manager: true
generate-interface: true
```

### Tag: package-2017-08 and java

These settings apply only when `--tag=package-2017-08 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-08' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.analysisservices.v2017_08_01
  output-folder: $(azure-libraries-for-java-folder)/analysisservices/resource-manager/v2017_08_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2017-08-beta and java

These settings apply only when `--tag=package-2017-08-beta --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-08-beta' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.analysisservices.v2017_08_01_beta
  output-folder: $(azure-libraries-for-java-folder)/analysisservices/resource-manager/v2017_08_01_beta
regenerate-manager: true
generate-interface: true
```


